/**
 * 
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.PuntoVenta;

/**
 * @author Thiago
 *
 */
public class RenderRelatorioVendasBilheteiro implements ListitemRenderer  {

	@Override
	public void render(Listitem lstm, Object o) throws Exception {
		PuntoVenta puntoVenta = (PuntoVenta) o;

		Listcell lc = new Listcell(puntoVenta.getNombpuntoventa());
		lc.setParent(lstm);

		Empresa empresa = puntoVenta.getEmpresa();
		if (empresa != null) {
			lc = new Listcell(empresa.getNombempresa());
		} else {
			lc = new Listcell("");
		}
		lc.setParent(lstm);

		lc = new Listcell(puntoVenta.getNumPuntoVenta());
		lc.setParent(lstm);

		lstm.setAttribute("data", puntoVenta);
	}

}
